package com.zd.laboratory.domain.vo;

import com.zd.laboratory.domain.LabExitLineJoin;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Controller
 *
 * @author cyl
 * @date 2022/1/25
 */
@ApiModel("逃生线路关联实验室和指示灯")
public class LabExitLineJoinVO extends LabExitLineJoin {

    @ApiModelProperty(value = "继电器编码")
    private String relayCode;

    @ApiModelProperty(value = "继电器路数")
    private String relayBit;

    @ApiModelProperty(value = "继电器id")
    private Long lightId;

    @ApiModelProperty(value = "楼层id")
    private String buildId;

    @ApiModelProperty(value = "实验室房间名称")
    private String room;

    private String configName;

    public String getRelayCode() {
        return relayCode;
    }

    public void setRelayCode(String relayCode) {
        this.relayCode = relayCode;
    }

    public String getRelayBit() {
        return relayBit;
    }

    public void setRelayBit(String relayBit) {
        this.relayBit = relayBit;
    }

    @Override
    public Long getLightId() {
        return lightId;
    }

    public void setLightId(Long lightId) {
        this.lightId = lightId;
    }

    public String getBuildId() {
        return buildId;
    }

    public void setBuildId(String buildId) {
        this.buildId = buildId;
    }


    public String getRoom() {
        return room;
    }

    public void setRoom(String room) {
        this.room = room;
    }

    public String getConfigName() {
        return configName;
    }

    public void setConfigName(String configName) {
        this.configName = configName;
    }
}
